package com.qmth.sop.business.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.sop.business.entity.SysDevice;

import java.util.List;
import java.util.Map;

public interface DeviceMonitorService extends IService<SysDevice> {
    Map<String, Object> count(Long supplierId, String model);

    List<Map<String, Object>> countByModel(Long supplierId);

    Map<String, Object> countByServiceUnit();

    List<Map<String, Object>> countByServiceUnitDetail();
}
